Name: ist-collect
Version: %{op5version}
Release: %{op5release}%{?dist}
License: MIT
Vendor: ITRS Group
Url: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: ITRS Support Tool - Collector
Prefix: %{_bindir}
ExclusiveArch: x86_64
Source: %name-%version.tar.gz
Requires: tar
Requires: pxz
Requires: bash
Requires: openssh-clients
Requires: rsync
Requires: sysstat
Requires: findutils
BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
A system information and log gathering tool to help troubleshooting.

%prep
%setup -q
op5build/build_clojure_binary.sh

%build


%install
mkdir --parents --mode 755 %{buildroot}%{prefix}
cp target/%name %buildroot%{prefix}/%name


%files
%defattr(755,root,root)
%{prefix}/%name


%clean
rm -rf %{buildroot}


%changelog
* Thu Jul 2 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.12.3 Added timedatectl/ntp command.
* Wed Jul 1 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.12.2 Added colored output and made some minor changes to other outputs.
* Tue Jun 30 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.12.1 Change size warning from 20MB to 50MB due to new Zendesk limits.
* Mon Jun 29 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.12.0 Now verifying that there is enough space on the target disk before copy.
* Fri Jun 26 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.8 Added logrotate files to the logging module.
* Thu Jun 25 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.7 A more proper fix to IST-63.
- 0.11.6 Minor bugfix related to an unnecessary assert.
* Wed Jun 24 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.5 Minor bugfix related to IST-63 (exception on converting large files' timestamps).
* Tue Jun 16 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.4 Adding 'mon node info' to cluster commands.
- 0.11.3 Fixing a bug where ist-collect would throw if Naemon was not running.
* Thu Jun 11 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.2 Code cleanup, some messages have changed otherwise not much on the surface.
* Thu Jun 04 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.1 Using multithreaded compression through `pxz`.
* Wed Jun 03 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.11.0 Added functionality to delete old files and folders from previous runs.
* Thu May 28 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.10.2 Removed option -m and put the modules in the general help text.
- 0.10.1 Improved the help text significantly.
* Wed May 27 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.10.0 Added downloadable link and message.
* Wed May 20 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.14 Added status.sav to the naemon config files to collect.
* Tue May 19 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.13 Added command to find out EL version in cluster.
* Tue Apr 21 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.12 Added missing dist macro to specfile.
- 0.9.11 Added info output when generating file list.
- 0.9.10 Fixed bug causing local-hostname? to throw exception on EL6.
* Mon Apr 20 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.9 Initial CI build release.
* Fri Apr 17 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.8 Added safeguard to skip nodes with "connect=no" in merlin configuration.
- 0.9.8 License: From ISC to MIT.
- 0.9.8 Moved the root check from 'list-of-files' function to cli parsing.
- 0.9.8 Fixed minor error where an extra "/" would be in the rsync command.
* Tue Mar 31 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.7 Moved the root check later, making it possible to run --help as regular user.
* Sat Feb 29 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.6 Added Java based RPM build using Redline.
* Fri Feb 28 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.5 Added option (-T) to specify a custom path for tmp files and archive.
* Thu Feb 27 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.4 Added missing lmd config files.
* Tue Feb 25 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.3 Fixed a regression bug when using option -A.
* Mon Feb 24 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.2 Now using rsync for file copy operations to retain permissions etc.
* Thu Feb 20 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.1 Added yum configs for collection.
* Wed Feb 19 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.9.0 Added option (-s) to skip file collection.
- 0.8.12 Added more livestatus related files.
* Tue Feb 18 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.11 Prettier php env collection.
- 0.8.10 Now also collecting information about each nodes php environment.
* Mon Feb 17 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.9 Fixed an issue where epoch logs where not recognized.
* Fri Feb 14 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.8 Added /opt/monitor/etc/oconf to file list.
- 0.8.7 Minor code cleanup.
* Thu Feb 13 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.6 Replaced raynes.fs with clj-commons.fs.
* Wed Feb 12 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.5 Fixed a bug where not all unix timestamps were converted.
* Tue Feb 11 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.4 Added postfix service status to commands.
* Mon Feb 10 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.3 Version bump for building with Graal 19.3.1.
* Fri Feb 07 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.2 Fixed accidental breakage of functions related to listing files.
* Thu Feb 06 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.1 Now collecting the 5 most recent log archives when found.
* Tue Feb 04 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.8.0 Completely reworked the file selection functionality.
* Tue Jan 28 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.8 Added option to skip epoch conversion.
* Mon Jan 27 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.7 Converting epoch timestamps of certain logfiles.
* Thu Jan 23 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.6 Added examples to the help text.
* Wed Jan 22 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.5 Now refering to the actual hostname in INFO output.
- 0.7.4 Added option to display version number.
- 0.7.3 More verbose debug logging.
* Fri Jan 17 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.2 Added option --list-modules to list available modules.
- 0.7.1 Fixed an error where the timestamp was using the wrong TZ.
* Thu Jan 16 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.7.0 Added function to gather directory list.
* Mon Dec 16 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.11 Added nacoma changelog to cluster-info commands.
* Fri Dec 13 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.10 Added support for iostat to the sysinfo report.
- 0.6.9 Added more files to collect, related to postfix and synergy.
* Tue Dec 10 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.8 Added tons of tests and some fixes as a result of these.
* Wed Dec 04 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.7 Fixed request IST-16 related to running commands as monitor.
* Wed Nov 27 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.6 Fixed bug IST-14 related to being unable to use the -A option.
* Tue Nov 26 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.5 Updated spec files with dependencies.
- 0.6.4 Moved cluster related commands from sysinfo to cluster info.
- 0.6.3 Collect information about cluster.
* Mon Nov 25 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.2 Only collect files from the local node, unless with -a option.
- 0.6.1 Print a warning if archive is larger than 20MB.
* Fri Nov 22 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.6.0 Allow collection of one or multiple modules.
* Thu Nov 21 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.9 Purged unused commands and added sysinfo progress bar.
- 0.5.8 Fixed invalid options filter.
- 0.5.7 Added an option to only gather local data.
- 0.5.6 Added a simple progress bar.
* Wed Nov 20 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.5 Reworked op5.nodes to use 'mon' instead of 'merlin.conf'.
* Tue Nov 19 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.4 Logging to file scrapped, now just logging to console.
* Mon Nov 18 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.3 Logging now implemented to file. Debug by default.
- 0.5.2 Added options related to file selection of sensitive files
* Fri Nov 15 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.1 Added service status commands
* Wed Nov 13 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.0 Graal VM binary release
* Tue Nov 05 2019 Johan Thorén <jthoren@itrsgroup.com>
- 0.4.1 Initial rpm release
